"use strict";
/*
tyron.js: SSI Protocol's JavaScript/TypeScript library
Self-Sovereign Identity Protocol.
Copyright (C) Tyron Pungtas and its affiliates.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class Defi {
    static AddLiquidity(signature, id, amount, tyron) {
        return __awaiter(this, void 0, void 0, function* () {
            const params = Array();
            const sig = {
                vname: 'signature',
                type: 'Option ByStr64',
                value: signature,
            };
            params.push(sig);
            const id_ = {
                vname: 'addrID',
                type: 'String',
                value: id,
            };
            params.push(id_);
            const amount_ = {
                vname: 'amount',
                type: 'Uint128',
                value: amount,
            };
            params.push(amount_);
            const tyron_ = {
                vname: 'tyron',
                type: 'Option Uint128',
                value: tyron,
            };
            params.push(tyron_);
            return params;
        });
    }
    static RemoveLiquidity(signature, id, amount, minZil, minToken, tyron) {
        return __awaiter(this, void 0, void 0, function* () {
            const params = Array();
            const sig = {
                vname: 'signature',
                type: 'Option ByStr64',
                value: signature,
            };
            params.push(sig);
            const id_ = {
                vname: 'addrID',
                type: 'String',
                value: id,
            };
            params.push(id_);
            const amount_ = {
                vname: 'amount',
                type: 'Uint128',
                value: amount,
            };
            params.push(amount_);
            const minzil = {
                vname: 'minZilAmount',
                type: 'Uint128',
                value: minZil,
            };
            params.push(minzil);
            const mintoken = {
                vname: 'minTokenAmount',
                type: 'Uint128',
                value: minToken,
            };
            params.push(mintoken);
            const tyron_ = {
                vname: 'tyron',
                type: 'Option Uint128',
                value: tyron,
            };
            params.push(tyron_);
            return params;
        });
    }
}
exports.default = Defi;
//# sourceMappingURL=defi-didDomain.js.map