import { NetworkNamespace } from '../did/tyronzil-schemes/did-scheme';
import { DIDStatus } from '../did/protocols/sidetree';
export default class State {
    readonly did: string;
    readonly controller: string;
    readonly did_status: DIDStatus;
    readonly verification_methods?: Map<string, string>;
    readonly dkms?: Map<string, string>;
    readonly services?: Map<string, string>;
    readonly services_?: Map<string, [string, string]>;
    private constructor();
    /** Fetches the current state from the blockchain
     * @params addr: the Zilliqa address of the user's smart-contract
     */
    static fetch(network: NetworkNamespace, addr: string): Promise<State>;
}
/** The Tyron State Model */
export interface StateModel {
    did: string;
    controller: string;
    did_status: string;
    verification_methods?: Map<string, string>;
    dkms?: Map<string, string>;
    services?: Map<string, string>;
    services_?: Map<string, [string, string]>;
}
