"use strict";
/*
tyron.js: SSI Protocol's JavaScript/TypeScript library
Self-Sovereign Identity Protocol.
Copyright (C) Tyron Pungtas and its affiliates.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.*/
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const hash_js_1 = __importDefault(require("hash.js"));
const zutil = __importStar(require("@zilliqa-js/util"));
class Util {
    static HashDexOrder(elements) {
        return __awaiter(this, void 0, void 0, function* () {
            let hash_;
            for (const element of elements) {
                const h = hash_js_1.default.sha256().update(element).digest('hex');
                if (hash_ === undefined) {
                    hash_ = h;
                }
                else {
                    hash_ = hash_ + h;
                }
            }
            return hash_;
        });
    }
    static HashGuardians(elements) {
        return __awaiter(this, void 0, void 0, function* () {
            let h_ = '0000000000000000000000000000000000000000';
            const hash_ = Array();
            for (const element of elements) {
                const h = hash_js_1.default.sha256().update(element).digest('hex');
                hash_.push('0x' + h);
                h_ = h_ + h;
            }
            return [hash_, h_];
        });
    }
    static HashString(s) {
        return __awaiter(this, void 0, void 0, function* () {
            const h = hash_js_1.default.sha256().update(s).digest('hex');
            return h;
        });
    }
    static HashAddress(addr) {
        return __awaiter(this, void 0, void 0, function* () {
            const h = hash_js_1.default
                .sha256()
                .update(zutil.bytes.hexToByteArray(addr.substring(2)))
                .digest('hex');
            return h;
        });
    }
}
exports.default = Util;
//# sourceMappingURL=util.js.map