import * as tyronzil from '../../blockchain/tyronzil';
import { DocumentElement, ServiceModel } from '../protocols/models/document-model';
/** Generates a `DID CRUD` operation
 *  which produces the `DID Document` & metadata */
export default class DidCrud {
    readonly txParams: tyronzil.TransitionParams[];
    private constructor();
    static GetServices(addr: string, services: ServiceModel[]): Promise<[DocumentElement[], tyronzil.TransitionValue[]]>;
    static Create(input: InputModel): Promise<DidCrud>;
    static HashDocument(document: DocumentElement[]): Promise<String>;
    static Recover(input: InputModel): Promise<DidCrud>;
    static Deactivate(input: DeactivateInputModel): Promise<DidCrud>;
}
export interface InputModel {
    addr: string;
    verificationMethods: tyronzil.TransitionValue[];
    services?: ServiceModel[];
    signature?: string;
    tyron_: tyronzil.TransitionValue;
}
/** Defines input data for a `DID Deactivate` operation */
export interface DeactivateInputModel {
    addr: string;
    signature: string;
    tyron_: tyronzil.TransitionValue;
}
