import { NetworkNamespace } from '../../tyronzil-schemes/did-scheme';
import { DIDStatus } from '../../protocols/sidetree';
/** The Tyron DID-State */
export default class DidState {
    readonly did: string;
    readonly controller: string;
    readonly did_status: DIDStatus;
    readonly verification_methods?: Map<string, string>;
    readonly dkms?: Map<string, string>;
    readonly services?: Map<string, string>;
    readonly services_?: Map<string, [string, string]>;
    readonly did_recovery_key?: string;
    readonly did_update_key?: string;
    private constructor();
    /** Fetches the current DID State for the given address */
    static fetch(network: NetworkNamespace, addr: string): Promise<DidState>;
}
/** The state model of a Tyron Decentralized Identifier */
export interface DidStateModel {
    did: string;
    controller: string;
    did_status: DIDStatus;
    verification_methods?: Map<string, string>;
    dkms?: Map<string, string>;
    services?: Map<string, string>;
    services_?: Map<string, [string, string]>;
    did_recovery_key?: string;
    did_update_key?: string;
}
