import { PublicKeyInput, PublicKeyModel } from './verification-method-models';
export declare enum DocumentConstructor {
    VerificationMethod = "VerificationMethod",
    Service = "Service"
}
export declare enum Action {
    Add = "Add",
    Remove = "Remove"
}
export declare enum TransferProtocol {
    Https = "Https",
    Git = "Git"
}
export declare enum BlockchainType {
    Zilliqa = "Zilliqa",
    Other = "Other"
}
export declare enum ServiceEndpoint {
    Web3Endpoint = "Address",
    Web2Endpoint = "Uri"
}
export interface DocumentElement {
    constructor: DocumentConstructor;
    action: Action;
    key?: PublicKeyModel;
    service?: ServiceModel;
}
export interface ServiceModel {
    id: string;
    endpoint?: ServiceEndpoint;
    type?: string;
    transferProtocol?: TransferProtocol;
    val?: string;
    blockchainType?: BlockchainType;
}
export interface PatchModel {
    action: PatchAction;
    ids?: string[];
    keyInput?: PublicKeyInput[];
    services?: ServiceModel[];
}
export declare enum PatchAction {
    RemoveKeys = "remove-public-keys",
    AddServices = "add-service-endpoints",
    RemoveServices = "remove-service-endpoints",
    CustomAction = "-custom-action"
}
