"use strict";
/*
tyron.js: SSI Protocol's JavaScript/TypeScript library
Self-Sovereign Identity Protocol.
Copyright (C) Tyron Pungtas and its affiliates.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NetworkNamespace = void 0;
/** Defines the tyronZIL DID scheme */
class DidScheme {
    constructor(input) {
        this.network = input.network;
        this.didUniqueSuffix = input.didUniqueSuffix;
        this.did =
            DidScheme.schemeIdentifier +
                DidScheme.methodName +
                DidScheme.blockchain +
                this.network +
                this.didUniqueSuffix;
    }
    /** Generates a tyronZIL DID with the given didUniqueSuffix and network */
    static newDID(input) {
        return __awaiter(this, void 0, void 0, function* () {
            const SCHEME_DATA = {
                network: input.network,
                didUniqueSuffix: input.didUniqueSuffix,
            };
            return new DidScheme(SCHEME_DATA);
        });
    }
}
exports.default = DidScheme;
DidScheme.schemeIdentifier = 'did:';
DidScheme.methodName = 'tyron:';
DidScheme.blockchain = 'zil:';
var NetworkNamespace;
(function (NetworkNamespace) {
    NetworkNamespace["Mainnet"] = "main:";
    NetworkNamespace["Testnet"] = "test:";
    NetworkNamespace["Isolated"] = "isol:";
})(NetworkNamespace = exports.NetworkNamespace || (exports.NetworkNamespace = {}));
//# sourceMappingURL=did-scheme.js.map