"use strict";
/*
tyron.js: SSI Protocol's JavaScript/TypeScript library
Self-Sovereign Identity Protocol.
Copyright (C) Tyron Pungtas and its affiliates.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@zilliqa-js/core");
const account_1 = require("@zilliqa-js/account");
const util_1 = require("@zilliqa-js/util");
const crypto_1 = require("@zilliqa-js/crypto");
class Init {
    static transaction(net) {
        return __awaiter(this, void 0, void 0, function* () {
            const generateChecksumAddress = () => (0, crypto_1.toChecksumAddress)((0, crypto_1.randomBytes)(20));
            let endpoint = 'https://api.zilliqa.com/';
            if (net === 'testnet') {
                endpoint = 'https://dev-api.zilliqa.com/';
            }
            let tx = new account_1.Transaction({
                version: 0,
                toAddr: generateChecksumAddress(),
                amount: new util_1.BN(0),
                gasPrice: new util_1.BN(1000),
                gasLimit: util_1.Long.fromNumber(1000),
            }, new core_1.HTTPProvider(endpoint));
            return tx;
        });
    }
}
exports.default = Init;
//# sourceMappingURL=init.js.map